package com.tzy.common.dto.notice;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

/**
 * @author by po'yi
 * @Classname UserNoticeDTO
 * @Description TODO
 * @Date 2023/1/10 14:50
 */
@Data
public class ToNoticeUserDTO implements Serializable {
	/**用户id*/
	private Long userId;
	/**用户通知type*/
	private String notifyType;
	//配置
	private String notifyConfig;

	public String getNotifyType() {
		if(StringUtils.isNotEmpty(notifyType)){
			return notifyType.toUpperCase();
		}
		return notifyType;
	}
}
